/*! 
    \file glmenu_imagescreen
    \brief class to display a image
*/


#ifndef _GLMENU_IMAGESCREEN_H
#define _GLMENU_IMAGESCREEN_H

#include "stdincl.h"


class GLMenuImageScreen : public BaseObject {

 public:
  GLMenuImageScreen ();
  ~GLMenuImageScreen ();

  void init ();
  void init (char* backImageName, float height, float width, 
	     float offsetX, float offsetY);

  void draw ();
  
  void setBackImageName (char* backImageName);
  void setPosition(float offsetX, float offsetY);
  void setSize(float height, float width);

 private:
  char* backImageName;  //! the name of the file of the background image
  float height, width;
  float offsetX, offsetY;

};

#endif /* _GLMENU_IMAGESCREEN_H */
